# unscannedArtifactsResponse

Response containing unscanned artifacts with filtering and pagination support.

### Examples

```graphql
type UnscannedArtifactsResponse {
  unscannedArtifacts: [UnscannedArtifact]
  offset: Int
  total: Int
  totalFilteredUnscannedArtifacts: Int
}
```

### Fields

| Field                                                                                                                          | Description                              | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| unscannedArtifacts [`[UnscannedArtifact]`](/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifact.md) | Unscanned Artifacts                      | <p>id <code>String</code><br>artifactId <code>String</code><br>registryType <code>String</code><br>registryName <code>String</code><br>registryLink <code>String</code><br>imageName <code>String</code><br>imageTags <code>\[String]</code><br>imageCreationDate <code>String</code><br>imageDigest <code>String</code><br>reason <code>String</code><br>error <code>String</code><br>scanId <code>String</code><br>cloudData <a href="/pages/YNzJrT3pRDcad6I39AKY"><code>\[CloudArtifactData]</code></a></p> |
| offset `Int`                                                                                                                   | Offset Value for Virtualization          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| total `Int`                                                                                                                    | Total Unscanned Artifacts Count          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| totalFilteredUnscannedArtifacts `Int`                                                                                          | Total Filtered Unscanned Artifacts Count |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

### References

#### Queries using this object:

* [\<?> getUnscannedArtifacts](/api-documentation/api-reference/api--artifact/queries/get-unscanned-artifacts.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifacts-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
